#pragma once
#include "EntityState.h"
#include "CS_QuoteSuperMissileBlade.h"
extern const int CS_QUOTESTATENAME_SUPERMISSILE;
//技能：使用导弹武器
class CS_QuoteSuperMissile :
	public EntitySkillState
{
public:
	CS_QuoteSuperMissile();
	const wchar_t* GetSaveName() override;
	const wchar_t* GetFuncName() override;
	const wchar_t* GetCheckFuncName() override;
	void SubStep() override;
	void ChangeStateMsg(int stateID) override;
	std::list<std::weak_ptr<CS_QuoteSuperMissileBlade>> amList;
	int outOfAmmo_counter = 0;
	int outOfAmmo_counter_max = 60;
};

